/**
 * 初始化人才认定申报详情对话框
 */
var TalentAllowanceInfoDlg = {
    talentAllowanceData : {}
};

/**
 * 关闭此对话框
 */
TalentAllowanceInfoDlg.close = function() {
    parent.layer.close(window.parent.TalentAllowanceInfo.layerIndex);
}

/**
 * 初始化工作单位及核查项目情况表
 */
TalentAllowanceInfoDlg.initContract = function(){
    $("#projectTable").bootstrapTable({
        url: Feng.ctxPath + "/talentAllowanceInfo/findAllowanceContractDetail",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true,//父子表
        queryParams: function (params) {
            return $.extend({"mainId":$("#id").val()},params)
        },
        columns: TalentAllowanceInfoDlg.initContractColumns(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#projectTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var enterpriseId = row.enterpriseId;
            var cur_table = $detail.html('<table id="'+enterpriseId+'"></table>').find('table');
            $(cur_table).bootstrapTable({
                url: Feng.ctxPath + "/talentAllowanceInfo/findAllowanceProject",
                method: 'POST',
                contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
                showRefresh: false,				// 是否显示刷新按钮
                clickToSelect: true,			// 是否启用点击选中行
                singleSelect: true,				// 设置True 将禁止多选
                striped: true,  				// 是否显示行间隔色
                escape: true,
                pagination: false,   			// 设置为 true 会在表格底部显示分页条
                paginationHAlign: "left",
                paginationDetailHAlign: "right",
                sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
                showColumns: false,
                queryParams: function (params) {
                    return $.extend({"mainId":$("#id").val(),"baseId":row.id,"companyCode":""},params)
                },
                columns: TalentAllowanceInfoDlg.initProjectColumns(),
            });
        }
    });
    TalentAllowanceInfoDlg.initArrange();
}

TalentAllowanceInfoDlg.initArrange = function(){
    $("#arrangeTable").bootstrapTable({
        url: Feng.ctxPath + "/talentAllowanceInfo/findAllowanceArrange",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend({"mainId":$("#id").val()},params)
        },
        columns:
            [
                {field: 'selectItem', checkbox:false,visible:false},
                {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle',width:"100px"},
                {title: '认定条件', field: 'identifyConditionText', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
                {title: '开始时间', field: 'startTime', visible: true, align: 'center', valign: 'middle',width:"100px"},
                {title: '结束时间', field: 'endTime', visible: true, align: 'center', valign: 'middle',width:"100px"},
                {title: '忽略其他条件可享受月份', field: 'prepareMonths', visible: true, align: 'center', valign: 'middle',width:"150px",'class': 'uitd_showTip'},
                {title: '综合可享受月份', field: 'months', visible: true, align: 'center', valign: 'middle',width:"150px",'class': 'uitd_showTip'},
                {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"150px",'class': 'uitd_showTip'},

            ],
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        }
    });
}


//显示修改工作单位合同情况模态框
TalentAllowanceInfoDlg.showEditContractModel = function(id){
    var ajax = new $ax(Feng.ctxPath + "/talentAllowanceInfo/validateIsCheck", function(data){
        if(data.code==200){
            $("#contractForm")[0].reset();
            $("#contractId").val(id);
            $("#contractModal").modal("show");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("校验失败!" + data.responseJSON.message + "!");
    });
    ajax.set("id",id);
    ajax.set("type",1);
    ajax.set("process",$("#process").val())
    ajax.set("companyId",$("#companyId").val())
    ajax.start();
}

//修改合同起止时间提交
TalentAllowanceInfoDlg.editContract = function(){
    var id = $("#contractId").val();
    var startTime = $("#startTime").val();
    var endTime = $("#endTime").val();
    if(startTime==null || startTime==''){
        Feng.info("请选择合同起始时间");
        return ;
    }
    if(endTime==null || endTime==''){
        Feng.info("请选择合同截止时间");
        return ;
    }
    var ajax = new $ax(Feng.ctxPath + "/talentAllowanceInfo/editContract", function(data){
        if(data.code==200){
            Feng.success(data.msg);
            $("#projectTable").bootstrapTable("refresh", {});
            $("#contractModal").modal("hide");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set({"id":id,"startTime":startTime,"endTime":endTime,"process":$("#process").val()});
    ajax.start();
}
//显示编辑项目模态框
TalentAllowanceInfoDlg.showEditProjectModal = function(project,id,enterpriseId,months,days,content){
    var desc = $(content).attr("data-value");
    var type = $("#type").val();
    TalentAllowanceInfoDlg.initICheck();
    $("#description").val(desc);
    switch (project) {
        case "1":
            $("#contractCheckForm")[0].reset();
            $("#contractCheckId").val(id);
            $("#contractEnterpriseId").val(enterpriseId);
            $("#contractCheckModal").modal("show");
            break;
        case "4":
            if(type==2){
                $("#attendanceModalLabel").html("考勤");
                $("#heading").html("请填写每月考勤天数<span style=\"color: red\">(不填写或填写0则代表无考勤记录)</span>");
                $("#attendanceForm")[0].reset();
                $("#attendanceId").val(id);
                $("#attendanceEnterpriseId").val(enterpriseId);
                if(months!=null && months!=''){
                    var arr = months.split(",");
                    for(var key in arr){
                        var num = arr[key].split("=")[0];
                        var day = arr[key].split("=")[1];
                        $("#attendMonths input").each(function () {
                            if($(this).attr('num')==num)$(this).val(day);
                        });
                    }
                }
                $("#attendanceModal").modal("show");
            }else if(type==1){
                $('#jjAttendanceModal').on('show.bs.modal', function () {
                    $("#jjmonths input").each(function () {
                        $(this).iCheck("uncheck");
                    });
                    $("#jjAttendanceId").val(id);
                    $("#jjAttendanceEnterpriseId").val(enterpriseId);
                    if(Feng.isNotEmptyStr(months)) {
                        if(months.indexOf(",")!=-1){
                            var arr = months.split(",");
                            for (var key in arr) {
                                $("#jjmonths input").each(function () {
                                    if ($(this).val() == arr[key]) $(this).iCheck("check");
                                });
                            }
                        }
                    }
                });
                if(days!=null && days!='')$("#days").val(days);
                $("#jjAttendanceModal").modal("show");
            }
            break;
        case "15":
            $("#attendanceModalLabel").html("在境时间");
            $("#heading").html("请填写每月在境内天数<span style=\"color: red\">(不填写则代表为0天)</span>");
            $("#attendanceForm")[0].reset();
            $("#attendanceId").val(id);
            $("#attendanceEnterpriseId").val(enterpriseId);
            if (months != null && months != '') {
                var arr = months.split(",");
                for (var key in arr) {
                    var num = arr[key].split("=")[0];
                    var day = arr[key].split("=")[1];
                    $("#attendMonths input").each(function() {
                        if ($(this).attr('num') == num) $(this).val(day);
                    });
                }
            }
            $("#attendanceModal").modal("show");
            break;
        case "16":
            $("#attendanceModalLabel").html("境内工作日时间");
            $("#heading").html("请填写每月境内工作日天数<span style=\"color: red\">(不填写则代表为0天)</span>");
            $("#attendanceForm")[0].reset();
            $("#attendanceId").val(id);
            $("#attendanceEnterpriseId").val(enterpriseId);
            if (months != null && months != '') {
                var arr = months.split(",");
                for (var key in arr) {
                    var num = arr[key].split("=")[0];
                    var day = arr[key].split("=")[1];
                    $("#attendMonths input").each(function() {
                        if ($(this).attr('num') == num) $(this).val(day);
                    });
                }
            }
            $("#attendanceModal").modal("show");
            break;
        default:
            $('#projectModal').on('show.bs.modal', function () {
                $("#months input").each(function () {
                    $(this).iCheck("uncheck");
                });
                $("#projectId").val(id);
                $("#enterpriseId").val(enterpriseId);
                TalentAllowanceInfoDlg.initICheck();
                if(Feng.isNotEmptyStr(months)) {
                    var arr = months.split(",");
                    for(var key in arr){
                        $("#months input").each(function () {
                            if($(this).val()==arr[key])$(this).iCheck("check");
                        });
                    }
                }
            });
            $("#projectModal").modal("show");
            break;
    }
}
//审核合同满两年提交
TalentAllowanceInfoDlg.contractCheckSubmit = function(){
    var id = $("#contractCheckId").val();
    var enterpriseId = $("#contractEnterpriseId").val();
    var description = $("#msg").val();
    var months = $("#state").val();
    var ajax = new $ax(Feng.ctxPath + "/talentAllowanceInfo/editProject", function(data){
        if(data.code==200){
            Feng.success(data.msg);
            $("#"+enterpriseId).bootstrapTable("refresh", {});
            $("#contractCheckModal").modal("hide");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set({"id":id,"months":months,"description":description,"process":$("#process").val()});
    ajax.start();
}

//编辑项目提交
TalentAllowanceInfoDlg.editProject = function(){
    var id = $("#projectId").val();
    var enterpriseId = $("#enterpriseId").val();
    var description = $("#description").val();
    var months = "";
    $("#months input").each(function () {
        if(this.checked){
            months = months + $(this).val() + ",";
        }
    })
    var ajax = new $ax(Feng.ctxPath + "/talentAllowanceInfo/editProject", function(data){
        if(data.code==200){
            Feng.success(data.msg);
            $("#"+enterpriseId).bootstrapTable("refresh", {});
            $("#projectModal").modal("hide");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set({"id":id,"months":months,"description":description,"process":$("#process").val()});
    ajax.start();
}

/**
 * 提交晋江市现代产业体系人才的考勤
 */
TalentAllowanceInfoDlg.editJJAttendance = function(){
    var id = $("#jjAttendanceId").val();
    var enterpriseId = $("#jjAttendanceEnterpriseId").val();
    var description = $("#jjDescription").val();
    var days = $("#days").val();
    var months = "";
    $("#jjmonths input").each(function () {
        if(this.checked){
            months = months + $(this).val() + ",";
        }
    })
    if(months=="" && (days==null || days=="")){
        Feng.info("请填写考勤信息");
        return ;
    }
    if(months!=null && months!='' && days!=null && days!=''){
        Feng.info("考勤天数和考勤月份只能选择一个填写");
        return ;
    }
    $("#attendanceMonths").val(months);
    $("#jjAttendanceForm")[0].submit();
    var ajax = new $ax(Feng.ctxPath + "/talentAllowanceInfo/editProject", function(data){
        if(data.code==200){
            Feng.success(data.msg);
            $("#"+enterpriseId).bootstrapTable("refresh", {});
            $("#jjAttendanceModal").modal("hide");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set({"id":id,"months":months,"days":days,"description":description,"process":$("#process").val()});
    ajax.start();
}

TalentAllowanceInfoDlg.editAttendanceProject = function(){
    var id = $("#attendanceId").val();
    var enterpriseId = $("#attendanceEnterpriseId").val();
    var description = $("#attendanceDescription").val();
    var months = "";
    var error = "";
    $("#attendMonths input").each(function(){
        var days = $(this).val();
        var num = $(this).attr("num");
        if(isNaN(days)){
            error = error + num+"月的考勤天数不是数字;";
        }else{
            if(days<0 || days>31){
                error = error + num+"月的考勤天数不在范围内（1-31）;";
            }
        }
        if(days==null || days==''){
            days = 0;
        }
        months = months + num + "=" + days + ",";
    });
    if(error!=""){
        Feng.error(error);
        return ;
    }
    var ajax = new $ax(Feng.ctxPath + "/talentAllowanceInfo/editProject", function(data){
        if(data.code==200){
            Feng.success(data.msg);
            $("#"+enterpriseId).bootstrapTable("refresh", {});
            $("#attendanceModal").modal("hide");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set({"id":id,"months":months,"description":description,"process":$("#process").val()});
    ajax.start();
}

/**
 * 计算津补贴额度
 */
TalentAllowanceInfoDlg.showCheckModal = function(){
    layer.open({
        id:"afterCheck",
        type: 1,
        title:"津补贴计算",
        fixed:false,
        resize:true,
        scrollbar:false,
        content:
            '<div class="panel panel-success">\n' +
            '                    <div class="panel-heading" onclick="$(this).next().toggle()">推荐津补贴类型</div>\n' +
            '                    <div class="panel-body">\n' +
            '                        <form id="checkForm">\n' +
            '                            <div class="form-group">\n' +
            '                                <label for="checkState" class="control-label">津补贴类型</label>\n' +
            '                                <input class="form-control" id="recommendallowanceType" />\n' +
            '                            </div>\n' +
            '                            <div class="form-group">\n' +
            '                                <label for="dxMonths" class="control-label">兑现月份</label>\n' +
            '                                <input type="text" class="form-control" readonly="readonly" id="recommenddxMonths" />\n' +
            '                            </div>\n' +
            '                            <div class="form-group">\n' +
            '                                <label for="dxMonths" class="control-label">津补贴判定详情</label>\n' +
            '                                <textarea type="text" class="form-control" readonly="readonly" id="recommendAllowanceMsg" rows="8"></textarea>\n' +
            '                            </div>\n' +
            '                            <div class="form-group">\n' +
            '                                <label for="dxMonths" class="control-label">津补贴计算详情</label>\n' +
            '                                <input type="text" class="form-control" readonly="readonly" id="recommendMoneyDesc" />\n' +
            '                            </div>\n' +
            '                        </form>\n' +
            '                    </div>\n' +
            '                </div>\n' +
            '                <div id="checkDiv" class="panel panel-primary">\n' +
            '                    <div class="panel-heading" onclick="$(this).next().toggle()">确认津补贴</div>\n' +
            '                    <div class="panel-body">\n' +
            '                        <div class="form-group">\n' +
            '                            <label for="checkState" class="control-label">审核状态</label>\n' +
            '                            <select class="form-control" id="checkStateAfter" onchange="TalentAllowanceInfoDlg.checkStateChange(this)">\n' +
            '                                <option value="">请选择</option>\n' +
            '                                <option value="-1">审核不通过</option>\n' +
            '                                <option value="3">审核通过</option>\n' +
            '                            </select>\n' +
            '                        </div>\n' +
            '                        <div class="form-group">\n' +
            '                            <label for="checkState" class="control-label">审核意见</label>\n' +
            '                            <textarea type="text" class="form-control" id="checkMsgAfter" name="checkMsgAfter"></textarea>\n' +
            '                        </div>\n' +
            '                        <div class="form-group ">\n' +
            '                            <label for="checkState" class="control-label">征信状态</label>\n' +
            '                            <select class="form-control" id="zxState" onchange="TalentAllowanceInfoDlg.zxChange(this)">\n' +
            '                                <option value="">请选择</option>\n' +
            '                                <option value="1">征信通过</option>\n' +
            '                                <option value="2">征信失信</option>\n' +
            '                            </select>\n' +
            '                        </div>\n' +
            '                        <div class="form-group ">\n' +
            '                            <label for="checkState" class="control-label">失信原因</label>\n' +
            '                            <textarea type="text" class="form-control" id="zxMsg" name="zxMsg" placeholder="征信通过不填写"></textarea>\n' +
            '                        </div>\n' +
            '                        <div class="form-group notPassDiv sourceDiv" style="display: none">\n' +
            '                            <label for="checkState" class="control-label">判定类型</label>\n' +
            '                            <select class="form-control" id="source" onchange="TalentAllowanceInfoDlg.allowanceTypeChange(this)">\n' +
            '                                <option value="">请选择</option>\n' +
            '                                <option value="1">与系统判定一致</option>\n' +
            '                                <option value="2">个人判定</option>\n' +
            '                            </select>\n' +
            '                        </div>\n' +
            '                        <div class="form-group notPassDiv personDiv" style="display: none">\n' +
            '                            <label for="checkState" class="control-label">津补贴类型</label>\n' +
            '                            <select type="text" class="form-control" id="resAllowanceType">\n' +
            '                                <option value="">请选择</option>\n' +
            '                                <option value="1">人才津贴</option>\n' +
            '                                <option value="2">一次性交通补贴</option>\n' +
            '                                <option value="3">不予兑现</option>\n' +
            '                            </select>\n' +
            '                        </div>\n' +
            '                        <div class="form-group notPassDiv personDiv" id="setMonths" style="display: none">\n' +
            '                            <label for="checkState" class="control-label">享受月份(仅人才津贴填写)</label>\n' +
            '                        </div>\n' +
            '                        <div class="form-group notPassDiv personDiv" style="display: none">\n' +
            '                            <label for="checkState" class="control-label">判定说明</label>\n' +
            '                            <textarea type="text" class="form-control" id="resAllowanceMsg" name="resAllowanceMsg"></textarea>\n' +
            '                        </div>\n' +
            '                    </div>\n' +
            '                </div>',
        area: ['80%', '80%'],
        maxmin: true,
        btn: [ '<i class="fa fa-save layui-bg-green"></i>&nbsp;&nbsp;提交审核', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
        btnAlign: 'c',
        success :function (layero, index) {
            var ajax = new $ax(Feng.ctxPath + "/talentAllowanceInfo/suppleCheckCalculate", function(data){
                if(data.code==200){
                    var info = data.obj.info;
                    var list = data.obj.detailList;
                    if(info.recommendAllowanceType == 1){
                        $("#recommendallowanceType").val("人才津贴");
                    }
                    if(info.recommendAllowanceType == 2){
                        $("#recommendallowanceType").val("一次性交通补贴");
                    }
                    if(info.recommendAllowanceType == 3){
                        $("#recommendallowanceType").val("不予兑现");
                    }
                    $("#recommenddxMonths").val(info.recommendMonths);
                    $("#recommendAllowanceMsg").val(info.recommendAllowanceMsg);
                    $("#recommendMoneyDesc").val(info.recommendMoneyDesc);
                    var html = "";
                    for(var key in list){
                        var title = info.type==1?list[key].enterpriseName + "("+ list[key].entryTime+"至"+list[key].quitTime+")-"+ list[key].talentTypeName:list[key].enterpriseName + "("+ list[key].entryTime+"至"+list[key].quitTime+")";
                        html = html +
                            '<div class="input-group detailMonths">\n' +
                                '<input type="hidden" class="detailId" value="'+list[key].id+'">'+
                                '<span class="input-group-addon" title="'+title+'">'+title+'</span>' +
                                '<input type="text" class="form-control months" >\n' +
                                '<span class="input-group-addon btn-danger" onclick="TalentAllowanceInfoDlg.showEditMonths(this)">编辑</span>\n'+
                            '</div>\n';
                    }
                    $("#setMonths").append(html);
                }else{
                    Feng.info(data.msg);
                }
            },function(data){
                Feng.error("提交失败!" + data.responseJSON.message + "!");
            });
            ajax.set({"id":$("#id").val()});
            ajax.start();
        },
        yes:function (index, layero) {
            var operation = function() {
                var checkState = $("#checkStateAfter").val();
                var checkMsg = $("#checkMsgAfter").val();
                var zxState = $("#zxState").val();
                var zxMsg = $("#zxMsg").val();
                var source = $("#source").val();
                var resAllowanceType = $("#resAllowanceType").val();
                var resAllowanceMsg = $("#resAllowanceMsg").val();
                var details = new Array();
                $(".detailMonths").each(function () {
                    var id = $(this).find(".detailId").val();
                    var months = $(this).find(".months").val();
                    details.push({"id":id,"months":months});
                });
                if(Feng.isEmptyStr(checkState)){
                    Feng.info("请选择审核状态");
                    return;
                }
                if(Feng.isEmptyStr(checkMsg)){
                    Feng.info("请填写审核意见");
                    return;
                }
                if(Feng.isEmptyStr(zxState)){
                    Feng.info("请选择征信状态");
                    return;
                }
                if(zxState == 2 && Feng.isEmptyStr(zxMsg)){
                    Feng.info("请填写失信原因");
                    return;
                }
                if(checkState == 3 && zxState == 1){
                    if (Feng.isEmptyStr(source)) {
                        Feng.info("请选择判定类型");
                        return;
                    }
                    if (source == 2) {
                        if (Feng.isEmptyStr(resAllowanceType)) {
                            Feng.info("请选择津补贴类型");
                            return;
                        }
                        if (resAllowanceType == 1 && details.length == 0) {
                            Feng.info("请选择人才津贴可享受的月份");
                            return;
                        }
                        if (Feng.isEmptyStr(resAllowanceMsg)) {
                            Feng.info("请填写判定说明");
                            return;
                        }
                    }
                }
                var ajax = new $ax(Feng.ctxPath + "/talentAllowanceInfo/afterCheck", function (data) {
                    if (data.code == 200) {
                        Feng.success(data.msg);
                        window.parent.TalentAllowanceInfo.table.refresh();
                        TalentAllowanceInfoDlg.close();
                    } else {
                        Feng.info(data.msg);
                    }
                }, function (data) {
                    Feng.error("提交失败!" + data.responseJSON.message + "!");
                });
                ajax.setData(JSON.stringify({"id":$("#id").val(),"checkState":checkState,"checkMsg":checkMsg,"zxState":zxState,"zxMsg":zxMsg,"source":source,"resAllowanceType":resAllowanceType,"resAllowanceMsg":resAllowanceMsg,"details":details}))
                ajax.setcontentType("application/json;charset=utf-8");
                ajax.start();
            };
            Feng.confirm("一旦提交将无法修改，确认提交吗?", operation);
        }
    });
}

TalentAllowanceInfoDlg.showEditMonths = function(content){
    layer.open({
        id: "setMoths",
        type: 1,
        title: "津补贴计算",
        fixed: false,
        resize: true,
        scrollbar: false,
        content: '<ul style="padding-top: 5px" id="resMonths">\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="01"><span style="margin-left: 3px">01月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="02"><span style="margin-left: 3px">02月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="03"><span style="margin-left: 3px">03月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="04"><span style="margin-left: 3px">04月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="05"><span style="margin-left: 3px">05月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="06"><span style="margin-left: 3px">06月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="07"><span style="margin-left: 3px">07月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="08"><span style="margin-left: 3px">08月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="09"><span style="margin-left: 3px">09月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="10"><span style="margin-left: 3px">10月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="11"><span style="margin-left: 3px">11月</span></li>\n' +
            '                        <li style="width: 7%"><input type="checkbox" name="lastMonth" value="12"><span style="margin-left: 3px">12月</span></li>\n' +
            '                    </ul>\n',
        area: ['60%', '40%'],
        maxmin: true,
        btn: ['<i class="fa fa-save layui-bg-green"></i>&nbsp;&nbsp;确定', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
        btnAlign: 'c',
        yes: function (index, layero) {
            var months = "";
            $("#resMonths input").each(function () {
                if (this.checked) {
                    months = months + $(this).val() + ",";
                }
            });
            months = months.substring(0,months.length-1);
            $(content).prev().val(months);
            layer.close(index);
        },
    });
}


TalentAllowanceInfoDlg.allowanceTypeChange = function(content){
    var allowanceType = $(content).val();
    if(allowanceType == 1){
        $(".personDiv").css("display","none");
    }else{
        $(".personDiv").css("display","block");
    }
}


TalentAllowanceInfoDlg.checkStateChange = function(content){
    var checkState = $(content).val();
    var zxState = $("#zxState").val();
    if(checkState == -1){
        $(".notPassDiv").css("display","none");
    }else if(checkState == 3 && zxState == 1){
        $(".sourceDiv").css("display","block");
    }else{
        $(".notPassDiv").css("display","none").trigger("change");
    }
}

TalentAllowanceInfoDlg.zxChange = function(content){
    var zxState = $(content).val();
    var checkState = $("#checkStateAfter").val();
    if(checkState == 2){
        $(".notPassDiv").css("display","none");
    }else if(zxState == 1 && checkState == 3){
        $(".sourceDiv").css("display","block");
    }else{
        $(".notPassDiv").css("display","none").trigger("change");
    }
}


TalentAllowanceInfoDlg.attendanceCallBack = function(){
    if(data.code==200){
        Feng.success(data.msg);
        $("#"+data.obj).bootstrapTable("refresh", {});
        $("#jjAttendanceModal").modal("hide");
    }else{
        Feng.info(data.msg);
    }
}


TalentAllowanceInfoDlg.initICheck = function(){
    $('input[type=checkbox]').iCheck({
        labelHover : false,
        cursor : true,
        checkboxClass : 'icheckbox_square-green',
        radioClass : 'iradio_square-greene',
        increaseArea : '20%'
    });
}

TalentAllowanceInfoDlg.initContractColumns = function(){
    var type = $("#type").val();
    var process = $("#process").val();
    if(type==1){
        return [
            {field: 'selectItem', checkbox:false,visible:false},
            {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '合同起始时间', field: 'startTime', visible: true, align: 'center', valign: 'middle',width:"90px",'class': 'uitd_showTip'},
            {title: '合同截止时间', field: 'endTime', visible: true, align: 'center', valign: 'middle',width:"90px",'class': 'uitd_showTip'},
            {title: '入职时间', field: 'entryTime', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '离职时间', field: 'quitTime', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '人才标签', field: 'talentTypeName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '首次来晋行政介绍信时间', field: 'letterTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title:'认定条件证书取得时间',field:'identifyGetTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '操作', field: 'id', visible: true, align: 'left', valign: 'middle',width:"150px",
                formatter : function(value,row,index){
                    return "<button type='button' onclick='TalentAllowanceInfoDlg.showEditContractModel(\""+value+"\")' style='margin-left: 5px;' class='btn btn-xs btn-danger'>" +
                        "<i class=\"fa fa-edit\"></i>修改" +
                        "</button>"+
                        "<button type='button' onclick='TalentAllowanceInfoDlg.showLog(\""+value+"\")' style='margin-left: 5px;' class='btn btn-xs btn-success'>" +
                        "<i class=\"fa fa-book\"></i>日志" +
                        "</button>";
                }
            }
        ];
    }
    if(type==2){
        return [
            {field: 'selectItem', checkbox:false,visible:false},
            {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '合同起始时间', field: 'startTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '合同截止时间', field: 'endTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '入职时间', field: 'entryTime', visible: true, align: 'center', valign: 'middle',width:"80px"},
            {title: '离职时间', field: 'quitTime', visible: true, align: 'center', valign: 'middle',width:"80px"},
            {title: '操作', field: 'id', visible: true, align: 'left', valign: 'middle',width:"150px",
                formatter : function(value,row,index){
                    return "<button type='button' onclick='TalentAllowanceInfoDlg.showEditContractModel(\""+value+"\")' style='margin-left: 5px;'  class='btn btn-xs btn-danger '>" +
                        "<i class=\"fa fa-edit\"></i>修改" +
                        "</button>"+
                        "<button type='button' onclick='TalentAllowanceInfoDlg.showLog(\""+value+"\")' style='margin-left: 5px;'  class='btn btn-xs btn-success'>" +
                        "<i class=\"fa fa-book\"></i>日志" +
                        "</button>";
                }
            }
        ];
    }
}


//初始化项目表的列
TalentAllowanceInfoDlg.initProjectColumns = function () {
    return [
        {field: 'selectItem', checkbox:false,visible:false},
        {title: '核查项目名称', field: 'projectName', visible: true, align: 'center', valign: 'middle',width:"15%",'class': 'uitd_showTip'},
        {title: '详情', field: 'months', visible: true, align: 'center', valign: 'middle',width:"35%",
            formatter : function(value,row,index){
                if(value!=null && value!=''){
                    return value;
                }else if(row.days!=null && row.days!=''){
                    return row.days + "天";
                }else{
                    return "";
                }
            }
        },
        {title: '附件材料', field: 'fileUrl', visible: true, align: 'center', valign: 'middle',width:"35%",
            formatter : function(value,row,index){
                if(value!=null && value!=''){
                    var sn = value.lastIndexOf(".");
                    var suffix = value.substring(sn+1,value.length);
                    return suffix=="pdf"||suffix=="PDF"?"<button type='button'  onclick=\"Feng.showPdf('"+value+"','"+row.id+"','"+row.projectName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>"
                        :'<img class=\"imgUrl\"  src=\"'+value+'\" style=\"width:25px;height:25px;\">';
                }else{
                    return "未上传";
                }
            }
        },
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"25%",'class': 'uitd_showTip'},
        {title: '操作', field: 'project', visible: true, align: 'left', valign: 'middle',width:"20%",
            formatter : function(value,row,index){
                var html = "<button type='button' data-value='"+row.description+"' onclick=\"TalentAllowanceInfoDlg.showEditProjectModal('"+row.project+"','"+row.id+"','"+row.enterpriseId+"','"+row.months+"','"+row.days+"',this)\" style='margin-left: 5px;' class=\"btn btn-xs btn-danger\">" +
                    "<i class=\"fa fa-edit\"></i>修改" +
                    "</button>" +
                    "<button type='button' onclick='TalentAllowanceInfoDlg.showLog(\""+row.id+"\")' style='margin-left: 5px;' class='btn btn-xs btn-success'>" +
                    "<i class=\"fa fa-book\"></i>日志" +
                    "</button>";
                if (value == 1 || value ==2){
                    html = html + "<button type='button' onclick=\"TalentAllowanceInfoDlg.showFileTable('"+row.project+"')\" style='margin-left: 5px;' class=\"btn btn-xs btn-default\">" +
                        "<i class=\"fa fa-book\"></i>查看附件" +
                        "</button>" ;
                }

                return html;
            }
        }
    ];
}


TalentAllowanceInfoDlg.showFileTable = function(project){
    var api = (project == 1)?CONFIG.jbt_concat:CONFIG.jbt_tax;
    var index = layer.open({
        type: 1,
        title:"附件材料",
        fixed:false,
        content: '<ul class="showImgs" style="padding: 0px 5px 0px 5px;"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li></ul>',
        area: ['50%', '50%'],
        maxmin: true,
        btn: ['<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
        success :function (layero, index) {
            var ajax = new $ax(Feng.ctxPath + "/api/common/getTalentFileByApi?api="+api+"&mainId="+$("#id").val(), function (data) {
                if(data.code==500){
                    Feng.error(data.msg);
                    return;
                }
                var html = "";
                var files = data.obj;
                for(var key in files){
                    var sn = files[key].url.lastIndexOf(".");
                    var suffix = files[key].url.substring(sn+1,files[key].url.length);
                    var imgStr = "";
                    if(suffix=="pdf"||suffix=="PDF"){
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('"+files[key].url+"','"+files[key].id+"','"+files[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        imgStr = '<img class=\"imgUrl\"  src=\"'+files[key].url+'\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">'+files[key].id+'</li>\n'+
                        '<li style="width: 80%;padding-top: 5px;">'+files[key].orignName+'</li>\n'+
                        '<li style="width: 10%;">'+imgStr+'</li>\n'+
                        "<li style='width: 10%;padding-top: 2px;'><button type='button' onclick=\"Feng.downloadFile('"+files[key].id+"',1)\" class=\"btn btn-xs btn-success\"><i class=\"fa fa-download\" aria-hidden=\"true\"></i>下载</button></li>";
                }
                $(".showImgs").append(html);
                $(".showImgs").viewer({
                    fullscreen:false
                });
            });
            ajax.start();
        }
    });
}



TalentAllowanceInfoDlg.showLog = function(id){
    layer.open({
        type: 1,
        title:"日志",
        fixed:false,
        content: '<table id="'+id+'"></table>',
        area: ['80%', '80%'],
        maxmin: true,
        success :function (layero, index) {
            $('#'+id).bootstrapTable({
                url: Feng.ctxPath + "/api/talentChecklog/getJbtCheckLog",
                method: 'POST',
                contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
                showRefresh: false,				// 是否显示刷新按钮
                clickToSelect: true,			// 是否启用点击选中行
                singleSelect: true,				// 设置True 将禁止多选
                striped: true,  				// 是否显示行间隔色
                pagination: false,   			// 设置为 true 会在表格底部显示分页条
                paginationHAlign: "left",
                paginationDetailHAlign: "right",
                sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
                showColumns: false,
                queryParams: function (params) {
                    return {"type":CONFIG.project_jbt,"mainId":$("#id").val(),"typeFileId":id,"active":1}
                },
                columns:
                    [
                        {title: '步骤', field: 'stepName', visible: true, align: 'center', valign: 'middle',width:"10%",
                            formatter : function (value,row,index) {
                                return ""+value;
                            }
                        },
                        {title: '操作人', field: 'createUser', visible: true, align: 'center', valign: 'middle',width:"15%"},
                        {title: '操作时间', field: 'createTime', visible: true, align: 'center', valign: 'middle',width:"20%"},
                        {title: '描述', field: 'description', visible: true, align: 'center', valign: 'middle',width:"45%",
                            formatter : function (value,row,index) {
                                return '<span data-toggle="tooltip" title="'+ value +'">"'+value+'"</span>';
                            }
                        }
                    ]
                ,
                onPostBody: function () {
                    $('#'+id+"td.uitd_showTip").bind("mouseover", function () {
                        var htm = $(this).html();
                        $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
                    });
                }
            });
        }
    });
}

//全选
TalentAllowanceInfoDlg.checkAll = function (id) {
    $("#"+id+" input").each(function () {
        $(this).iCheck("check");
    })
}
//反选
TalentAllowanceInfoDlg.unCheckAll = function (id) {
    $("#"+id+" input").each(function () {
        if(this.checked){
            $(this).iCheck("uncheck");
        }else{
            $(this).iCheck("check");
        }
    })
}

//初始化附件类别表单
TalentAllowanceInfoDlg.initFileTable = function (){
    TalentAllowanceInfoDlg.initContract();
    var queryData = {};
    queryData['project'] = CONFIG.project_jbt;
    queryData['type'] = $("#type").val();
    $("#fileTable").bootstrapTable({
        url: Feng.ctxPath + "/api/talentInfo/findUnCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true,               //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData,params)
        },
        rowStyle: function (row, index) {
            return {classes:"info"};
        },
        columns: [
            {field: 'selectItem', checkbox:false,visible:false},
            {title: '名称', field: 'name', visible: true, align: 'center', valign: 'middle',width:"20%",'class': 'uitd_showTip',
                formatter : function(value,row,index){
                    if(row.must==1){
                        return '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> '+ value;
                    }if(row.must==2){
                        return '<i class="fa fa-paste"></i>'+value;
                    }
                }
            },
            {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"68%",'class': 'uitd_showTip'},
            {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle',width:"12%",
                formatter : function(value,row,index){
                    if(value==null||value==''||value=='null'){
                        return '无';
                    }
                    return "<button type='button' onclick=\"Feng.downloadFile('"+value+"',3)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                        "<i class=\"fa fa-download\"></i>下载" +
                        "</button>";
                }
            }
        ],
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax(Feng.ctxPath + "/api/talentInfo/listTalentFile", function (data) {
                if(data==null||data.length==0){
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li>';
                for(var key in data){
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].url.substring(sn+1,data[key].url.length);
                    var imgStr = "";
                    if(suffix=="pdf"||suffix=="PDF"){
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf(('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else if(suffix == "xlsx" || suffix=="XLSX" || suffix == 'xls' || suffix == 'XLS'){
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        imgStr = '<img class=\"imgUrl\"  src=\"'+data[key].url+'\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">'+data[key].id+'</li>\n'+
                        '<li style="width: 80%;padding-top: 5px;">'+data[key].orignName+'</li>\n'+
                        '<li style="width: 10%;">'+imgStr+'</li>\n'+
                        "<li style='width: 10%;padding-top: 2px;'><button type='button' onclick=\"Feng.downloadFile('"+data[key].id+"',1)\" class=\"btn btn-xs btn-success\"><i class=\"fa fa-download\" aria-hidden=\"true\"></i>下载</button></li>";
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({
                    // toolbar:false,
                    fullscreen:false
                });
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["fileTypeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });
}

TalentAllowanceInfoDlg.showAllLog = function(){
    var id = $("#id").val();
    if(Feng.isNotEmptyStr(id)){
        Feng.getCheckLog("logTable",{"type":CONFIG.project_jbt,"mainId":$("#id").val(),"typeFileId":"","active":1})
    }
}


$(function(){
    if($("#type").val()==2){
        $("#bankNumberSpan,#talentTypeSpan,#introductionModeSpan,#firstInJJTimeSpan").attr("style","display:none");
    }
    $("select").each(function () {
        $(this).val($(this).attr("value"));
    });
    // TalentAllowanceInfoDlg.initFileTable();
    TalentAllowanceInfoDlg.initContract();
    //批量加载时间控件
    $(".date").each(function(){
        laydate.render({elem: "#"+$(this).attr("id"),type: 'date',trigger: 'click'});
    });
    TalentAllowanceInfoDlg.showAllLog();
});
